#woocommerce_safe-pay_generation_key {
    line-height: inherit;
}

.safepay-settings__nav {
    display: block;
    width: 100%;
}

.safepay-settings__ul {
    display: flex;
}

.safepay-settings__li {
    display: block;
}

.safepay-settings__link {
    display: block;
    padding: 5px 10px;
    margin-right: 10px;
    background-color: white;
    text-decoration: none;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, .02);
    -moz-box-shadow: 0 0 10px rgba(0, 0, 0, .02);
    box-shadow: 0 0 10px rgba(0, 0, 0, .02);
}

.safepay-settings__link--active, .safepay-settings__link--active:hover, .safepay-settings__link--active:active, .safepay-settings__link--active:link {
    background-color: #32373c;
    color: white;
    box-shadow: none;
}

.safepay-settings .regular-text {
    width: 52em;
}

.safepay-settings__message {
    display: none;
    margin-top: 20px;
    padding: 10px 20px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    background-color: #fffaf4;
    border: 2px dashed #ff8d00;
    max-width: 500px;
}

.wp-core-ui .button-primary.safepay-settings__download {
    display: none;
    margin-left: 10px;
    background-color: darkcyan;
}

.safepay-settings__download:focus, .safepay-settings__download:active, .safepay-settings__download:link {
    box-shadow: none !important;
    outline: none !important;
}

.safepay-settings__download:hover {
    background-color: #0b9292 !important;
}

.safepay-settings__save {
    display: none;
    color: red;
    padding-left: 10px;
}

.safepay-settings mark {
    background-color: #dcdcdc;
    padding: 0 5px;
}

.form-table td p.safepay-settings__status {
    font-size: 16px;
    margin-bottom: 7px;
}

.form-table td p.safepay-settings__status--enabled {
    color: green;
}

.form-table td p.safepay-settings__status--disabled {
    color: red;
}

.safepay-table {
    width: 100%;
    text-align: center;
    margin-bottom: 20px;
}

.safepay-table__col {
    height: 30px;
    background-color: white;
    padding: 3px 5px;
}

.safepay-table__col input {
    display: block;
    width: 100%;
    text-align: center;
    background-color: white;
    border: 1px solid #DDDDDD;
}

.safepay-table__col input:disabled {
    background-color: #f5f5f5;
    border: 1px solid #DDDDDD;
}

.safepay-table__row--form .safepay-table__col {
    padding: 8px 10px;
}

.safepay-table__row:nth-child(2n) .safepay-table__col {
    background-color: #f8f8f8;
}

.safepay-table__head .safepay-table__col {
    background-color: #dcdcdc;
    color: #565656;
}

.SP_field_hidden {
    display: none;
}

.safepay-settings__loading {
    position: absolute;
    display: none;
    margin-left: 10px;
    border-radius: 50%;
    overflow: hidden;
    padding: 3px;
    background-color: white;
    width: 20px;
    height: 20px;
}

.safepay-settings__loading img {
    display: block;
    width: 100%;
    height: 100%;
}

.safepay-settings__code {
    display: block;
    width: 100%;
    margin-top: 15px;
    padding: 10px;
    border: 1px solid #e8e8e8;
    box-sizing: border-box;
    background-color: white;
    line-height: 24px;
}

.safepay-settings mark.safepay-settings__code--false {
    background-color: #ffdada;
    padding: 3px 5px;
}

.safepay-settings mark.safepay-settings__code--true {
    background-color: #d1f1d1;
    padding: 3px 5px;
}

.safepay-table__result--error, .safepay-table__result--success {
    padding: 10px;
    text-align: center;
}

.safepay-table__result--error {
    background-color: #fff3f3;
    border: 2px dashed orangered;
}

.safepay-table__result--success {
    background-color: #f3fff8;
    border: 2px dashed #24a02e;
}

.safepay-table__status--finish {
    color: green;
}

.safepay-table__status--active {
    color: orange;
}

.safepay-table__status--expired, .safepay-table__status--canceled {
    color: red;
}